# Uses of Class
org.apache.lucene.codecs.FieldsConsumer

Packages that use FieldsConsumer
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90.blocktree
BlockTree terms dictionary.
org.apache.lucene.codecs.lucene912
Lucene 9.12 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.

## Uses of FieldsConsumer in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return FieldsConsumer
Modifier and Type
Method
Description
`abstract FieldsConsumer`
PostingsFormat.`fieldsConsumer(SegmentWriteState state)`
Writes a new segment

## Uses of FieldsConsumer in org.apache.lucene.codecs.lucene90.blocktree

Subclasses of FieldsConsumer in org.apache.lucene.codecs.lucene90.blocktree
Modifier and Type
Class
Description
`final class`
`Lucene90BlockTreeTermsWriter`
Block-based terms index and dictionary writer.

## Uses of FieldsConsumer in org.apache.lucene.codecs.lucene912

Methods in org.apache.lucene.codecs.lucene912 that return FieldsConsumer
Modifier and Type
Method
Description
`FieldsConsumer`
Lucene912PostingsFormat.`fieldsConsumer(SegmentWriteState state)`

## Uses of FieldsConsumer in org.apache.lucene.codecs.perfield

Methods in org.apache.lucene.codecs.perfield that return FieldsConsumer
Modifier and Type
Method
Description
`final FieldsConsumer`
PerFieldPostingsFormat.`fieldsConsumer(SegmentWriteState state)`